﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditmfsVideoModule.ascx.cs" Inherits="DotNetNuke.Modules.mfsVideoModule.EditmfsVideoModule" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="TextEditor" Src="~/controls/TextEditor.ascx"%>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<%@ Register TagPrefix="dnn" TagName="Url" Src="~/controls/UrlControl.ascx" %>
<script type = "text/javascript" language = "javascript">
    function displayThumbnailOption() {
        var checkbox = $get('<%= chkAutoThumbnail.ClientID %>');
        var container = $get('<%= trThumbnail.ClientID %>');
        if (checkbox.checked) {
            container.style.display = 'none';
        }
        else {
            container.style.display = '';
        }
    }
    function displayHDOption() {
        var checkbox = $get('<%= chkSelHd.ClientID %>');
        var container = $get('<%= trShowHd.ClientID %>');
        if (checkbox.checked) {
            container.style.display = '';
        }
        else {
            container.style.display = 'none';
        }
    }
</script>
<div id="pnlOptions" runat="server">
    <table width="750" summary="Table to update Video Player settings" border="0">
        <tr><td colspan=2 align="center">&nbsp;</td></tr>
        
        <!-- Upload video file -->
        <tr>
            <td valign="top" class="SubHead" width = "300">
                <dnn:Label ID="plUploadVideo" runat="server" Suffix=":"></dnn:Label>
            </td>
            <td>
                <asp:FileUpload ID = "txtFileUpload" runat = "server" /><asp:Button ID = "btnUpload" runat = "server" Text = "Upload" Height = "20" 
                    OnClick = "btnUpload_Click" />
            </td>
        </tr>
        
        <!-- Set source video file -->
        <tr>
            <td valign="top" class="SubHead" width = "300">
                <dnn:Label ID="plVideoSource" runat="server" Suffix=":" ControlName="txtVideoSource"></dnn:Label>
            </td>
            <td>
                <dnn:Url ID="txtVideoSource" runat = "server" ShowUrls="true" ShowTrack="false" ShowTabs="false"
                        ShowLog="false" ShowUpLoad = "false" ShowFiles="true" Required="true" UrlType="U" Width="400" EnableViewState="true" FileFilter = "flv,swf"/>
            </td>
        </tr>
        
        <!-- Set high defination source video file -->
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plSelectHd" runat="server" Suffix=":"></dnn:Label>
            </td>
            <td>
                <input type = "checkbox" id = "chkSelHd" runat = "server" onclick="displayHDOption()" />
            </td>
        </tr>
        <tr id = "trShowHd" runat = "server">
            <td valign="top" class="SubHead" width = "300">
                <dnn:Label ID="plHDVideoSource" runat="server" Suffix=":"></dnn:Label>
            </td>
            <td>
                <dnn:Url ID="txtHDVideoSource" runat = "server" ShowUrls="true" ShowTrack="false" ShowTabs="false" ShowUpLoad = "false"
                        ShowLog="false"  ShowFiles="true" Required="true" UrlType="U" Width="400" EnableViewState="true" FileFilter = "flv,swf"/>
            </td>
        </tr>
        
        <!-- Set video file name -->
        <tr>
            <td valign="top" class="SubHead" width = "300">
                <dnn:Label ID="plVideoName" runat="server" Suffix=":" ></dnn:Label>
            </td>
            <td>
                <asp:TextBox ID="txtVideoName" runat="server" CssClass="NormalTextBox" Width = "300px" ></asp:TextBox>
            </td>
        </tr>
        
        <!-- Set related tags -->
        <tr>
            <td valign="top" class="SubHead" width = "300">
                <dnn:Label ID="plTags" runat="server" Suffix=":" ></dnn:Label>
            </td>
            <td>
                <asp:TextBox ID="txtTags" runat="server" CssClass="NormalTextBox" Width = "400px" ></asp:TextBox>
            </td>
        </tr>
        
        <!-- Set description video file -->
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plVideoDescription" runat="server" Suffix=":" ControlName="txtVideoDesc"></dnn:Label>
            </td>
            <td>
                <dnn:TextEditor ID = "txtVideoDesc" runat = "server" Width = "600" Height = "150" />
            </td>
        </tr>
        
        <!-- Set player width -->
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plWidth" runat="server" Suffix=":" ControlName="txtWidth"></dnn:Label>
            </td>
            <td>
                <asp:TextBox ID="txtWidth" runat="server" CssClass="NormalTextBox" ></asp:TextBox>
            </td>
        </tr>
        
        <!-- Set player height -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plHeight" runat="server" Suffix=":" ControlName="txtHeight"></dnn:Label>
            </td>
            <td>
                <asp:TextBox ID="txtHeight" runat="server" CssClass="NormalTextBox" ></asp:TextBox>
            </td>
        </tr>
        
        <!-- Auto Thumbnail Image -->
        <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plAutoThumbnail" runat="server" Suffix=":" ControlName="txtHeight"></dnn:Label>
            </td>
            <td>
                <input type = "checkbox" id = "chkAutoThumbnail" runat = "server" onclick="displayThumbnailOption()" />
            </td>
        </tr>
        
        <!-- Set player thumbnail -->
        <tr id = "trThumbnail" runat = "server">
            <td valign="top" class="SubHead">
                <dnn:Label ID="plThumbnail" runat="server" Suffix=":" ControlName="txtThumnail"> 
                </dnn:Label>
                <asp:HiddenField runat="server" id="HiddenField1"></asp:HiddenField>
            </td>
            <td>
                <dnn:Url ID = "txtThumbnail" runat = "server" ShowFiles = "true" ShowUrls = "false" ShowTrack = "false" ShowLog="false" 
                    ShowTabs = "false" FileFilter = "png,jpg" EnableViewState="true"  />
                <asp:HiddenField runat="server" id="oldThumbnailUrl"></asp:HiddenField>
            </td>
        </tr>
        
        <!-- Set player auto start -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plAutoStart" runat="server" Suffix=":" ControlName="cboAutoStart"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboAutoStart" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
         <!-- Set player repeat -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plRepeat" runat="server" Suffix=":" ControlName="cboRepeat"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboRepeat" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
        <!-- Set player buffering -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plBuffering" runat="server" Suffix=":" ControlName="cboBuffering"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboBuffering" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
        <!-- Set player streaming -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plStreaming" runat="server" Suffix=":" ControlName="cboStreaming"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboStreaming" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
        <!-- Set player can mute -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plMute" runat="server" Suffix=":" ControlName="cboMute"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboMute" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
         <!-- Set player can view as fullscreen -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plFullScreen" runat="server" Suffix=":" ControlName="cboFullScreen"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboFullScreen" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
        <!-- Set player control bar autohide -->
         <tr>
            <td valign="top" class="SubHead">
                <dnn:Label ID="plControlBarHide" runat="server" Suffix=":" ControlName="cboAutoHide"></dnn:Label>
            </td>
            <td>
                <asp:DropDownList ID="cboAutoHide" runat="server" CssClass="NormalTextBox">
                    <asp:ListItem Value="true">True</asp:ListItem>
                    <asp:ListItem Value="false">False</asp:ListItem>
                </asp:DropDownList>
            </td>
        </tr>
        
        <%-- Error display part --%>
        <tr> <td colspan = "2" align = "left"> <ul id="ulError" runat="server" style="color:Red;font-weight:bold"> </ul> </td> </tr>
        <tr>
            <td valign="top" class="SubHead"> </td>
            <td valign="top" class="SubHead" align="left">
                <asp:LinkButton class="CommandButton" ID="cmdSave" OnClick = "cmdSave_Click" resourcekey="Save" runat="server"
                Text="Save" BorderStyle="none"></asp:LinkButton>&nbsp;
                <asp:LinkButton class="CommandButton" ID="cmdCancel" OnClick = "cmdCancel_Click" resourcekey="Cancel" runat="server"
                Text="Cancel" CausesValidation="False" BorderStyle="none"></asp:LinkButton>
            </td>
        </tr>
    </table>
</div>