<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditmfsVideoRating.ascx.cs" Inherits="DotNetNuke.Modules.mfsVideoModule.EditmfsVideoRating" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<table>
    <%-- View Rating video permissions --%>
    <tr>
        <td class="SubHead" valign = "top">
            <dnn:Label ID = "plViewRatePermissions" runat = "server" Suffix = ":" ControlName = "chkListUserRoles" />
        </td>
        <td>
            <asp:CheckBoxList ID = "chkViewRolesList" runat = "server" DataValueField = "roleId" DataTextField = "roleName" CssClass = "Normal">
            </asp:CheckBoxList>
        </td>
    </tr>
    <%-- Add Rating video permissions --%>
    <tr>
        <td class="SubHead" valign = "top">
            <dnn:Label ID = "plAddRatePermissions" runat = "server" Suffix = ":" ControlName = "chkListUserRoles" />
        </td>
        <td>
            <asp:CheckBoxList ID = "chkAddRolesList" runat = "server" DataValueField = "roleId" DataTextField = "roleName" CssClass = "Normal">
            </asp:CheckBoxList>
        </td>
    </tr>
    <tr>
        <td class = "SubHead">
            <dnn:Label ID = "plClearAllRating" runat = "server" Suffix = ":" ControlName = "lbnClearRating" />
        </td>
        <td>
            <asp:LinkButton ID = "lbnClearRating" runat = "server" 
                OnClientClick = "javascript:return confirm('Do you want to delete all ratings for current video?');"
                OnClick = "lbnClearRating_Click" 
                CssClass = "CommandButton" Text = "Clear All Ratings"></asp:LinkButton>
        </td>
    </tr>
    <tr>
        <td colspan = "2" height = "20">
        
        </td>
    </tr>
    <tr>
        <td valign="top" class="SubHead" align="left" colspan = "2">
                <asp:LinkButton class="CommandButton" ID="cmdSave" OnClick = "cmdSave_Click" resourcekey="Save" runat="server"
                Text="Save" BorderStyle="none"></asp:LinkButton>&nbsp;
                <asp:LinkButton class="CommandButton" ID="cmdCancel" OnClick = "cmdCancel_Click" resourcekey="Cancel" runat="server"
                Text="Cancel" CausesValidation="False" BorderStyle="none"></asp:LinkButton>
        </td>
    </tr>
</table>
