﻿<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="EditmfsVideoComments.ascx.cs" Inherits="DotNetNuke.Modules.mfsVideoModule.EditmfsVideoComments" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<table>

    <%-- View Comments permissions --%>
    <tr>
        <td class = "SubHead" valign = "top">
            <dnn:Label ID = "plViewPermissions" runat = "server" Suffix = ":"/>
        </td>
        <td>
            <asp:CheckBoxList ID = "chkViewRolesList" runat = "server" DataValueField = "roleId" DataTextField = "roleName" CssClass = "Normal">
            </asp:CheckBoxList>
        </td>
    </tr>
    
    <%-- Add Comments permissions --%>
    <tr>
        <td class = "SubHead" valign = "top">
            <dnn:Label ID = "plAddPermissions" runat = "server" Suffix = ":"/>
        </td>
        <td>
            <asp:CheckBoxList ID = "chkAddRolesList" runat = "server" DataValueField = "roleId" DataTextField = "roleName" CssClass = "Normal">
            </asp:CheckBoxList>
        </td>
    </tr>
    <tr>
        <td class = "SubHead">
            <dnn:Label ID = "plNoOfComments" runat = "server" Suffix = ":" />
        </td>
        <td>
            <input id = "txtNoOfComments" style = "width:50px;" type = "text" runat = "server" class = "NormalTextField" />
        </td>
    </tr>
    <tr>
        <td class = "SubHead">
            <dnn:Label ID = "plSendEmail" runat = "server" Suffix = ":" />
        </td>
        <td>
            <input type = "checkbox" id = "chkSendEmail" runat = "server" />
        </td>
    </tr>
    <tr>
        <td colspan = "2" height = "20"></td>
    </tr>
    <tr>
        <td valign="top" class="SubHead" align="left" colspan = "2">
                <asp:LinkButton class="CommandButton" ID="cmdSave" OnClick = "cmdSave_Click" resourcekey="Save" runat="server"
                Text="Save" BorderStyle="none"></asp:LinkButton>&nbsp;
                <asp:LinkButton class="CommandButton" ID="cmdCancel" OnClick = "cmdCancel_Click" resourcekey="Cancel" runat="server"
                Text="Cancel" CausesValidation="False" BorderStyle="none"></asp:LinkButton>
        </td>
    </tr>
</table>