<%@ Control Language="C#" Inherits="DotNetNuke.Modules.mfsVideoModule.ViewmfsVideoModule"
    AutoEventWireup="true" CodeBehind="ViewmfsVideoModule.ascx.cs" %>
<%@ Register TagPrefix="dnn" TagName="Audit" Src="~/controls/ModuleAuditControl.ascx" %>
<%@ Register Assembly = "AjaxControlToolkit" Namespace = "AjaxControlToolkit" TagPrefix = "c1" %>
<script type = "text/javascript" language = "javascript">
    function toggleVideo() {
        var clipIndex = flowplayer().getClip().index;
        if (document.getElementById('<%=btnHdFlag.ClientID%>').value == 'HD ON') {
            flowplayer().stop();
            flowplayer().play(clipIndex + 1);
            document.getElementById('<%=btnHdFlag.ClientID%>').value = "HD OFF";
        }
        else {
            flowplayer().stop();
            flowplayer().play(clipIndex - 1);
            document.getElementById('<%=btnHdFlag.ClientID%>').value = "HD ON";
        }
    }
</script>
<table id="Table1" cellpadding ="0" cellspacing="0" border = "0" runat ="server">
    <tr>
        <td valign = "top">
            <input id="btnHdFlag" type = "button" onclick = "toggleVideo()" runat = "server" visible = "false" class = "hdFlag" />
        </td>
    </tr>
    <tr>
        <td valign = "top">
              <div id = "divVideo" runat = "server"></div>
        </td>
    </tr>
    <tr>
        <td style = "height:20px;"></td>
    </tr>
    <tr>
        <td align = "left" style = "width:300px;">
            <asp:Label ID = "lblVideoDesc" CssClass = "Normal" runat = "server"> </asp:Label>
        </td>
    </tr>
    <tr>
        <td> &nbsp; </td>
    </tr>
    <%-- Error Part to display validated message --%>
    <tr> 
        <td align = "left"> 
           <asp:UpdatePanel ID = "updError" runat = "server" UpdateMode = "Conditional" ChildrenAsTriggers = "true">
                <ContentTemplate>
                    <asp:Label id="lblError" runat="server" style="color:Red;font-weight:bold;" > </asp:Label>
                </ContentTemplate>
                <Triggers>
                    <asp:AsyncPostBackTrigger ControlID = "ratVideo" EventName = "Changed" />
                    <asp:AsyncPostBackTrigger ControlID = "btnPostComment" EventName = "Click" />
                </Triggers>
            </asp:UpdatePanel>
        </td> 
    </tr>
    <tr>
        <td valign = "top">
            <!-- Video Rating part -->
            <table cellpadding= "0" cellspacing = "0" border = "0" width = "300">
            
                <%-- View Video Rating part --%>
                <tr id = "trViewRate" runat = "server">
                    <td>
                        <asp:Label ID = "lblAvgVideoRating" runat = "server" CssClass = "NormalTextBox"></asp:Label>
                    </td>
                    <td align = "left">
                        <asp:UpdatePanel ID = "updRates" runat = "server">
                            <ContentTemplate>
                                <asp:Panel ID = "pnlStar" runat = "server"></asp:Panel>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID = "ratVideo" EventName = "Changed" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </td>
                </tr>
                <tr id = "trViewRateCount" runat = "server">
                    <td>
                        <asp:Label ID = "lblTotVotes" runat = "server" CssClass = "NormalTextBox"></asp:Label>
                    </td>
                    <td>
                        <asp:UpdatePanel ID = "updVotes" runat = "server">
                            <ContentTemplate>
                                <asp:Label ID = "lblVotesCount" runat = "server" CssClass = "NormalTextBox"></asp:Label>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID = "ratVideo" EventName = "Changed" />                              
                            </Triggers>
                        </asp:UpdatePanel>
                   </td>
                </tr>
                <%-- Add Video Rating part --%>
                <tr id = "trGiveRate" runat = "server">
                    <td colspan = "2" align = "left" valign = "top">
                        <asp:UpdatePanel ID = "UpdatePanel1" runat = "server" UpdateMode ="Conditional" ChildrenAsTriggers = "true" >
                            <ContentTemplate>
                                <div>
                                    <table>
                                        <tr>
                                            <td>
                                                <asp:Label ID = "lblGiveRate" runat = "server" CssClass = "NormalTextBox" style = "color:Red;" 
                                                    Text = "Give Rate" ></asp:Label>
                                            </td>
                                            <td>
                                                <c1:Rating ID = "ratVideo" runat = "server" MaxRating = "5" CurrentRating="2" CssClass="ratingStar" 
                                                    StarCssClass="ratingItem" WaitingStarCssClass="Saved" FilledStarCssClass="Filled" 
                                                    EmptyStarCssClass="Empty" AutoPostBack = "true" OnChanged = "ratVideo_Changed">
                                                </c1:Rating>
                                            </td>
                                        </tr>
                                    </table>
                                </div>
                            </ContentTemplate>
                        </asp:UpdatePanel>
                    </td>
                </tr>
            </table>
        </td>
    </tr>
    <tr>
        <td>
            <!--Video Comments Part -->
            <table id="Table2" runat = "server" cellpadding = "0" cellspacing = "0" width = "500">
                <tr>
                    <td colspan = "2" height = "20">
                        
                    </td>
                </tr>
                <tr>
                    <td colspan = "2">
                        <asp:UpdatePanel ID = "updDisplayComments" runat = "server" UpdateMode = "Conditional">
                            <ContentTemplate>
                                <textarea id = "txtComments" runat ="server" cols = "65" rows = "5" 
                                    class = "commentBox">Add Comments...</textarea>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID = "btnPostComment" EventName = "Click" />
                            </Triggers>
                        </asp:UpdatePanel>    
                    </td>
                </tr>
                <tr id = "trCommentBox" runat ="server">
                    <td>
                        <asp:UpdatePanel ID = "updMaxLength" runat = "server" UpdateMode = "Conditional" ChildrenAsTriggers = "true">
                            <ContentTemplate>
                                <input type = "text" id = "commentsMaxLength" size = "4" class = "NormalTextBox" maxlength = "3" value = "500" 
                                    readonly = "readonly" runat = "server" /> &nbsp;characters remaining
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID = "btnPostComment" EventName = "Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                   </td>   
                   <td align = "right">
                        <asp:Button ID = "btnPostComment" CssClass = "commentButton" runat = "server" Text = "Post Comments" 
                            Width = "110px" onclick="btnPostComment_Click" />
                    </td>
                </tr>
                <tr>
                    <td valign = "top" colspan = "2">
                        <asp:UpdatePanel ID = "updComments" runat = "server" UpdateMode = "Conditional" >
                            <ContentTemplate>
                                <asp:GridView ID="grdComments" runat="server" AutoGenerateColumns="false" AllowPaging = "true" 
                                    GridLines = "None" OnPageIndexChanging = "grdComments_PageIndexChanging" CellSpacing = "2" 
                                    DataKeyNames="ID" CellPadding = "2" OnRowCreated = "grdComments_onRowCreated" >
                                    <Columns> 
                                        <asp:BoundField Visible ="false" DataField="ID" ItemStyle-Width = "300" /> 
                                        <asp:BoundField DataField="ModuleID" Visible = "false" ItemStyle-Wrap = "true" /> 
                                        <asp:BoundField DataField="UserName" ItemStyle-Width = "100" /> 
                                        <asp:BoundField DataField="Comments" ItemStyle-Width = "300" /> 
                                        <asp:BoundField DataField="DateAdded" ItemStyle-Width = "180px" />
                                        <asp:TemplateField ShowHeader="False">
                                            <ItemTemplate>
                                                <asp:ImageButton ID="ImageButton2" runat="server" CausesValidation="False" CommandName="Delete" 
                                                    ImageUrl="~/Images/delete.gif" AlternateText="Delete" CommandArgument='<%# Eval("ID") %>'
                                                    OnClientClick="return confirm('Do you want to delete this comment?');" />
                                            </ItemTemplate>
                                        </asp:TemplateField>
                                    </Columns> 
                                    
                                </asp:GridView>
                            </ContentTemplate>
                            <Triggers>
                                <asp:AsyncPostBackTrigger ControlID = "btnPostComment" EventName = "Click" />
                            </Triggers>
                        </asp:UpdatePanel>
                    </td>
                </tr>
               
            </table>
        </td>
    </tr>
</table>